# Reverse Geocoding > Conversion of geographic coordinates into normalized addresses. Returns the nearest house numbers with street, postal code, and distance. OpenAPI contract: [JSON](https://documentation.egon.com/openapi/reverse-geocoding.json) ยท [YAML](https://documentation.egon.com/openapi/reverse-geocoding.yaml) ## Endpoints - [Address from Coordinates](https://documentation.egon.com/docs/api/reverse.md): The Reverse geocoding service retrieves address candidates from geographic coordinates, with street, house number, postal code, and distance. (`POST /api/revGeo`)